Bug 673483 - [abrt] gdb-7.2-36.fc14: delete_breakpoint: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
Summary: [abrt] gdb-7.2-36.fc14: delete_breakpoint: Process /usr/bin/gdb was killed by...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:93a5b8e67f19b4689c6b84527a7...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-28 11:31 UTC by Erwan Legrand
Modified: 2011-02-14 20:26 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-14 20:26:18 UTC


Attachments (Terms of Use)
File: backtrace (14.90 KB, text/plain)
2011-01-28 11:31 UTC, Erwan Legrand
no flags Details

Description Erwan Legrand 2011-01-28 11:31:40 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: gdb -q -nw -i mi -tty /dev/pts/2 --cd=/home/erwan/workspace/gateway_trunk --command=.gdbinit /home/erwan/workspace/debug/bizimp
comment: I was adding and removing hardware watch points when GDB crashed
component: gdb
crash_function: delete_breakpoint
executable: /usr/bin/gdb
kernel: 2.6.35.10-74.fc14.x86_64
package: gdb-7.2-36.fc14
rating: 4
reason: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1296214085
uid: 500

How to reproduce
-----
1. Add several hardware watch points
2. Remove some
3. GDB crashes

Comment 1 Erwan Legrand 2011-01-28 11:31:44 UTC
Created attachment 475788 [details]
File: backtrace

Comment 2 Erwan Legrand 2011-01-28 13:48:36 UTC
Package: gdb-7.2-36.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Add several hardware watch points
2. Remove some
3. GDB crashes


Comment
-----
I was adding and removing hardware watch points when GDB crashed

Comment 3 Jan Kratochvil 2011-01-28 13:59:59 UTC
Do you have a reproducer?  I tried but I failed not reproduce it.
I have seen some bug there but I am not sure it was this one.

Is this build still bugy or can you provide a reproduction recipe?
http://koji.fedoraproject.org/koji/buildinfo?buildID=215974

Comment 4 Fedora Update System 2011-01-29 16:44:40 UTC
gdb-7.2-38.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-38.fc14

Comment 5 Fedora Update System 2011-01-30 19:49:48 UTC
gdb-7.2-38.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdb'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gdb-7.2-38.fc14

Comment 6 Fedora Update System 2011-01-30 20:30:55 UTC
gdb-7.2-39.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-39.fc14

Comment 7 Fedora Update System 2011-01-31 20:13:05 UTC
gdb-7.2-40.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-40.fc14

Comment 8 Fedora Update System 2011-01-31 20:13:19 UTC
gdb-7.2-40.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-40.fc14

Comment 9 Fedora Update System 2011-02-04 07:33:28 UTC
gdb-7.2-41.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-41.fc14

Comment 10 Erwan Legrand 2011-02-11 15:05:12 UTC
I've been trying gdb-7.2-39.fc14 and gdb-7.2-40.fc14 for a while. I had no new issues so far. I will start using gdb-7.2-41.fc14 now.

Comment 11 Fedora Update System 2011-02-14 20:26:05 UTC
gdb-7.2-41.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.